extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Modulos"
    - var CabeceraListado = ["Descripción"]
    - var CantidadListado = "{{ tTablas.length }}"
    - var TituloDatos = "Detalles del Modulo"
    - var TamanoColeccion = "tTablas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tTablaFor of tTablas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th
            button(type="button",
                    (click)="Seleccionar_Tabla(tTablaFor)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap {{ tTablaFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-configuracion-cabecera([(Tabla)]="tTablaActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
            href="#Informacion",
            role="tab",
            aria-controls="Informacion",
            aria-selected="true").nav-link.active Configuración
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          div(*ngFor="let tConfiguracion of tTablaActual.LConfiguracion | slice: (tPaginaConfig-1) * tTamanoPagConfig : (tPaginaConfig-1) * tTamanoPagConfig + tTamanoPagConfig").form-row
            div.form-group.col-12
              app-fw-configuracion-detalle([Configuracion]="tConfiguracion",
                                          (ModificarConfiguracion)="Modificar_Configuracion($event)")
          div.form-row
            div.form-group.col-12
              ngb-pagination([collectionSize]="tTablaActual.LConfiguracion.length",
                  [(page)]="tPaginaConfig",
                  aria-label="Default pagination",
                  [pageSize]="tTamanoPagConfig").d-flex.justify-content-center
